package com.aucma.report.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 补打条码记录对象 print_supplementbarcode
 *
 * @author Yinq
 * @date 2024-04-17
 */
public class PrintSupplementBarCode extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long objId;

    /**
     * SAP计划编号
     */
    @Excel(name = "SAP计划编号")
    private String orderCode;

    /**
     * 物料编码
     */
    @Excel(name = "物料编码")
    private String materialCode;

    /**
     * 物料名称
     */
    @Excel(name = "物料名称")
    private String materialName;

    /**
     * 打印条码
     */
    @Excel(name = "打印条码")
    private String materialBarcode;

    /**
     * 打印时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "打印时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date printTime;

    /**
     * 打印类型
     */
    @Excel(name = "打印类型")
    private String printBartype;

    /**
     * 打印名称
     */
    @Excel(name = "打印名称")
    private String printName;

    /**
     * 是否打印 1=已打印,0=未打印
     */
    @Excel(name = "是否打印 1=已打印,0=未打印")
    private String isPrint;

    /**
     * 打印原因（报废重做 切换订单）
     */
    @Excel(name = "打印原因")
    private String printReason;

    /**
     * 记录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date recordTime;

    private String productLineCode;

    public String getProductLineCode() {
        return productLineCode;
    }

    public void setProductLineCode(String productLineCode) {
        this.productLineCode = productLineCode;
    }

    public Date getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }

    public String getPrintReason() {
        return printReason;
    }

    public void setPrintReason(String printReason) {
        this.printReason = printReason;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialBarcode(String materialBarcode) {
        this.materialBarcode = materialBarcode;
    }

    public String getMaterialBarcode() {
        return materialBarcode;
    }

    public void setPrintTime(Date printTime) {
        this.printTime = printTime;
    }

    public Date getPrintTime() {
        return printTime;
    }

    public void setPrintBartype(String printBartype) {
        this.printBartype = printBartype;
    }

    public String getPrintBartype() {
        return printBartype;
    }

    public void setPrintName(String printName) {
        this.printName = printName;
    }

    public String getPrintName() {
        return printName;
    }

    public void setIsPrint(String isPrint) {
        this.isPrint = isPrint;
    }

    public String getIsPrint() {
        return isPrint;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("orderCode", getOrderCode())
                .append("materialCode", getMaterialCode())
                .append("materialName", getMaterialName())
                .append("materialBarcode", getMaterialBarcode())
                .append("printTime", getPrintTime())
                .append("printBartype", getPrintBartype())
                .append("printName", getPrintName())
                .append("isPrint", getIsPrint())
                .toString();
    }
}
